Last Comment Bug 295165 - 32x32 versions of fileHtml.icns and fileBookmark.icns (icons) have a stray white pixel in the upper-right.
: 32x32 versions of fileHtml.icns and fileBookmark.icns (icons) have a stray wh...
Status: RESOLVED FIXED
: fixed1.8.1, polish
Product: Camino Graveyard
Classification: Graveyard
Component: General (show other bugs)
: unspecified
: PowerPC Mac OS X
P4 trivial (vote)
: Camino1.5
Assigned To: Jon Hicks
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-22 17:18 PDT by Wevah
Modified: 2006-09-19 11:07 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Updated fileHtml.icns (40.45 KB, application/octet-stream)
2005-10-07 20:02 PDT, Nick Kreeger
no flags Details
Updated fileBookmark.icns, removes whitespace (41.20 KB, application/octet-stream)
2005-10-07 20:05 PDT, Nick Kreeger
no flags Details
amended fileBookmark.icns file to remove stray pixel at 32px (44.16 KB, application/octet-stream)
2006-09-19 06:39 PDT, Jon Hicks
mikepinkerton: superreview+
Details
amended fileHtml.icns file to remove stray pixel at 32px (43.41 KB, application/octet-stream)
2006-09-19 06:40 PDT, Jon Hicks
mikepinkerton: superreview+
Details

Description User image Wevah 2005-05-22 17:18:16 PDT
The 32x32 icons in fileHtml.icns and fileBookmark.icns have a wrongly-white
pixel in their upper right (right on the edge of the dog-ear). It's very
apparent when the icons are against a black background. Changing the pixel to
black and tweaking the alpha channel for that pixel to match another pixel on
the diagonal makes the pixel blend much more acceptably.
Comment 1 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2005-07-06 00:32:42 PDT
Wevah/Jasper, do you have fixed icons for this?  Perhaps they can land with the
fixed tab corner TIFFs in bug 298295?
Comment 2 User image Jasper 2005-07-06 00:59:38 PDT
I'll have a look at this. I think we don't even use fileBookark.icns maybe we
should remove it from the project? could save some space.
Comment 3 User image Nick Kreeger 2005-10-07 20:02:09 PDT
Created attachment 198872 [details]
Updated fileHtml.icns

It appears that not only the 32x32 was jacked up but so was the 128x128.
Anyways this is updated without the white stuff
Comment 4 User image Nick Kreeger 2005-10-07 20:05:09 PDT
Created attachment 198873 [details]
Updated fileBookmark.icns, removes whitespace

Again, removes whitespace from 32x32 and 128x128
Comment 5 User image Wevah 2005-10-09 02:46:42 PDT
Erm, those both still have the bad white pixel in the 32x32 icon.
Comment 6 User image Jasper 2005-10-09 03:21:28 PDT
I will take a look at this tomorrow, should be really easy as I have the orginal
files.
Comment 7 User image Samuel Sidler (old account; do not CC) 2006-01-09 17:31:55 PST
/me wonders when tomorrow will come. :-P
Comment 8 User image froodian (Ian Leue) 2006-06-16 20:51:34 PDT
Removing dependency, since the other bug was WONTFIXed.
Comment 9 User image froodian (Ian Leue) 2006-07-11 09:38:09 PDT
Jasper: ping.  I bet this would be really fast and easy.  Do you think you could whip up a couple new icons here? :)
Comment 10 User image Jon Hicks 2006-09-19 06:39:13 PDT
Created attachment 239173 [details]
amended fileBookmark.icns file to remove stray pixel at 32px
Comment 11 User image Jon Hicks 2006-09-19 06:40:41 PDT
Created attachment 239174 [details]
amended fileHtml.icns file to remove stray pixel at 32px
Comment 12 User image Mike Pinkerton (not reading bugmail) 2006-09-19 09:20:54 PDT
Comment on attachment 239173 [details]
amended fileBookmark.icns file to remove stray pixel at 32px

rs=pink
Comment 13 User image Mike Pinkerton (not reading bugmail) 2006-09-19 09:21:12 PDT
Comment on attachment 239174 [details]
amended fileHtml.icns file to remove stray pixel at 32px

rs=pink
Comment 14 User image froodian (Ian Leue) 2006-09-19 11:03:13 PDT
Checked in on 1.8branch and trunk.

Note You need to log in before you can comment on or make changes to this bug.